Public Class Login2
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If IsPostBack Then

        Else
            ' 初期表示時
            Page.Header.Title = MyProperty.システムＭ.選挙コード名称
        End If

        ' テキストボックスにカーソル
        TxtId.Focus()
    End Sub

    Protected Sub BtnLogin_Click(sender As Object, e As EventArgs) Handles BtnLogin.Click
        If Not TxtId.Text = "" Then
            ' 会員Mを取得する。
            Dim ds As DataSet1 = New DataSet1
            Using myDataBase As MyDataBase = New MyDataBase
                myDataBase.Fill会員MByユーザID(ds, TxtId.Text.TrimEnd)
            End Using

            ' 会員Mに存在するかチェック
            If ds.会員M.Rows.Count > 0 Then
                If ds.会員M(0).パスワード = TxtPassword.Text.TrimEnd Then
                    ' セッションに投票券番号を登録する。
                    Session(MyConstant.SessionKey.投票者ID) = ds.会員M(0).ユーザID.TrimEnd
                    Session(MyConstant.SessionKey.認証日時) = DateTime.Now.ToString
                    Session(MyConstant.SessionKey.投票数) = ds.会員M(0).投票数.ToString

                    ' 投票ページへ遷移する。
                    Response.Redirect("SenkyoList.aspx")
                End If
            End If

            LblMessage.Text = MyProperty.システムＭ.メッセージ.Login2.認証エラー
        End If
    End Sub

End Class